Task # 21116 (New): Top level task: Implement batch file processing system
Implement BulkfileinProcess function
Status: Closed Start date: 03/09/2024
Priority: Normal Due date:

Assignee: Sachin Divekar % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

Implement BulkfileinProcess as per the specs

Associated revisions

Revision 12aaf8bf - 10/09/2024 08:27 AM - Sachin Divekar
Implement BulkFileinProcess #21118

* Implemented BulkfileinProcess

* Added helper functions for file sanitization, object ID generation, etc

e Created new database table 'batch_files' to store metadata for batch input files
¢ Written tests

Revision d74da946 - 18/09/2024 01:18 AM - Sachin Divekar

Infiled implementation and example program #21118

Implemented the Infiled Daemon in infiled.go.
Added an example program demonstrating how to:
set up infra

initialize alya components

use of file checker and submission of the batch

Revision e8f60eec - 24/09/2024 10:08 AM - Sachin Divekar
Add logharbour to filexfr server #21118

Revision b3a9fa68 - 27/09/2024 10:10 AM - Sachin Divekar
Infiled: pgx logger set logging level #21118

History

#1 - 05/09/2024 11:01 PM - Sachin Divekar

- Status changed from New to In Progress

#2 - 05/09/2024 11:01 PM - Sachin Divekar
- % Done changed from 0 to 50

#3 - 05/09/2024 11:04 PM - Sachin Divekar

WIP: implementation of BulkFileinProcess.

#4 - 10/09/2024 08:15 AM - Sachin Divekar
- % Done changed from 50 to 100

- Status changed from In Progress to Testing

#5 - 10/09/2024 08:28 AM - Sachin Divekar

Implemented BulkfileinProcess

Added helper functions for file sanitization, object ID generation, etc

Created new database table 'batch_files' to store metadata for batch input files
Written tests
https://github.com/remiges-tech/alya/wiki/Processing-batch-files#bulkfileinprocess

#6 - 21/03/2025 05:50 PM - Sachin Divekar

- Status changed from Testing to Closed
